EDIT - feature request #3616

Show DescriptionElementBase.timeperiod in Dataportals
07/14/2013 06:22 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

see #3312

see also #3746

Related issues:

Related to EDIT - feature request #3747: Check if time period is handled corr... Closed
Related to EDIT - feature request #3746: Implement time period scope for desc... Closed
Copied to EDIT - feature request #8145: Implement TimePeriod DTO with localiz... New
Copied to EDIT - feature request #8245: Improve representation of Description... Closed

Associated revisions

Revision d0e8e73c - 02/26/2019 11:53 AM - Andreas Kohlbecker

ref #3616 fixing multibyte character problem related to time periods

Revision 90425089 - 02/26/2019 11:54 AM - Andreas Kohlbecker

ref #3616 implementing display of DescriptionElementBase.timeperiod

Revision 940bbcf2 - 02/26/2019 12:09 PM - Andreas Kohlbecker

ref #3616 implementing tests for DescriptionElementBase.timeperiod

History

#1 - 06/18/2015 03:51 PM - Andreas Miiller
- Target version deleted (CDM UML 3.3/3.4 - Postprocessing)

#2 - 07/21/2015 02:51 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Reviewed other components

#3 - 07/21/2015 02:52 PM - Andreas Miiller
- Priority changed from New to Priority14

#4 - 02/19/2019 03:36 PM - Andreas Miiller
- Priority changed from Priority14 to Priority11

#5 - 02/25/2019 06:01 PM - Andreas Kohlbecker

- Related to feature request #3747: Check if time period is handled correctly for description elements in data portals added

#6 - 02/25/2019 06:01 PM - Andreas Kohlbecker

- Related to feature request #3746: Implement time period scope for description elements in TaxEditor added

#7 - 02/25/2019 06:01 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No
#8 - 02/25/2019 06:04 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Priority changed from Priority11 to Highest

- Target version changed from Reviewed Next Major Release to Release 5.6

#9 - 02/26/2019 01:00 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 0 to 50

Implemented

please review, for the page used by the integration test, please see :
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/c246856f-c03e-4cb7-ac92-d9b2864084cd

#10 - 02/26/2019 02:26 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Generally it looks fine.

Only the formatting maybe needs discussion. It differs from the default formatting of time periods in cdmlib. Is there a reason for doing this? Shouldn't
we try to use a common formatting? Or is it configurable (whould be the best to allow configuring for all timeperiods at 1 place for the data portal.

The problem in the dataportals is that formatting might be locale dependent, especially for months but also for the format itself.

The current format is not nice for year periods, e.g. 2017-18 is currently formatted as 2017-00-00 to 2018-00-00. We should generally omit month and
day if they are not given AND in case of months no day is given.

Also formatting without year is unclear 00-05-06 might be Jun 2006 or any 6th of May (but not urgent as such data usually does not exist). For sure

"Jun" would be better then 00-06-00 but is a bit language dependent so needs further improvement.

So formatting for TimePeriod needs further discussion in general.

Minor issue: Testdata has "Mai to June" is mixture of German and English, | think we should use "May to June" instead.

#11 - 02/26/2019 02:37 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Miiller
- % Done changed from 50 to 90
Andreas Miller wrote:
Generally it looks fine.

Only the formatting maybe needs discussion. It differs from the default formatting of time periods in cdmlib. Is there a reason for doing this?

The cdmlib formatting is quite ugly in some cases:
a date with only a month (May) is shown in the taxeditor as #####-05-## which is also not no nice.

| suggest implementing a time period dto which handles the formatting consistently in the whole platform while respecting client localization
preferences submitted via HTTP-headers.

Minor issue: Testdata has "Mai to June" is mixture of German and English, | think we should use "May to June" instead.
This is only freetext data, changing this would require ~15 minutes work and is not worth the effort.
| suggest to close this ticket now, agreed?

#12 - 02/26/2019 03:09 PM - Andreas Miiller
- Copied to feature request #8145: Implement TimePeriod DTO with localized formatting added

#13 - 02/26/2019 04:55 PM - Andreas Miiller
Improvements for formatting copied to #8145

#14 - 04/11/2019 10:35 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker
Andreas Kohlbecker wrote:
| suggest to close this ticket now, agreed?
What | really don't like in the current implementation is the trailing zero implementation for dates which have e.g. a year but no more specific date

(month, day). It looks like 2017-00-00 to 2018-00-00 . Having only a year or a year and a month but no day is a very common use case but the
formatting does not look nice. Can we still try to remove these trailing zeros (only for the case that a year exists)?

#15 - 04/23/2019 04:19 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- Target version changed from Release 5.6 to Release 5.7

- % Done changed from 90 to 100

Andreas Muller wrote:
Andreas Kohlbecker wrote:
Can we still try to remove these trailing zeros (only for the case that a year exists)?

Ok, I will try that, but will copy this request to a new ticket ....

#16 - 04/23/2019 04:21 PM - Andreas Kohlbecker

- Copied to feature request #8245: Improve representation of DescriptionElementBase.timeperiod added

#17 - 04/29/2019 02:45 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.6

As there is the follow up ticket in 5.7 | move this back to 5.6 as the current implementation was done in 5.6
